// src/content.tsx
import clsx from "clsx";
import { jsx } from "react/jsx-runtime";
function Content({
  ...props
}) {
  const defaultClassName = "flex flex-col flex-1";
  return /* @__PURE__ */ jsx("main", {
    ...props,
    className: clsx(defaultClassName, props.className)
  });
}

// src/footer.tsx
import clsx2 from "clsx";
import { jsx as jsx2 } from "react/jsx-runtime";
function Footer({
  ...props
}) {
  const defaultClassName = "flex flex-col grow-1 shrink-0 p-8 bg-gray-100 text-gray-500 text-sm";
  return /* @__PURE__ */ jsx2("footer", {
    ...props,
    className: clsx2(defaultClassName, props.className)
  });
}

// src/header.tsx
import clsx3 from "clsx";
import { jsx as jsx3 } from "react/jsx-runtime";
function Header({
  ...props
}) {
  const defaultClassName = "flex grow-1 shrink-0 px-8 py-2";
  return /* @__PURE__ */ jsx3("header", {
    ...props,
    className: clsx3(defaultClassName, props.className)
  });
}

// src/page.tsx
import clsx4 from "clsx";
import { jsx as jsx4 } from "react/jsx-runtime";
function Page({
  ...props
}) {
  const defaultClassName = "flex flex-col flex-1 min-h-screen min-w-screen";
  return /* @__PURE__ */ jsx4("div", {
    ...props,
    className: clsx4(defaultClassName, props.className)
  });
}

// src/section.tsx
import clsx5 from "clsx";
import { jsx as jsx5 } from "react/jsx-runtime";
function Section({
  ...props
}) {
  const defaultClassName = "flex flex-col flex-1 min-h-0 bg-gray-100 text-gray-900";
  return /* @__PURE__ */ jsx5("section", {
    ...props,
    className: clsx5(defaultClassName, props.className)
  });
}

// src/index.tsx
var Layout = {
  Content,
  Footer,
  Header,
  Page,
  Section
};
export {
  Layout
};
